﻿@model Eventures.App.Models.BindingModels.EventCreateBindingModel

@{
    ViewData["Title"] = "Create";
}

<h1 class="text-center mt-3">Create Event</h1>
<hr class="mt-3 hr-2 bg-eventures w-50" />
<form method="post" class="w-50 mx-auto">
    <div asp-validation-summary="ModelOnly" class="text-danger"></div>

    <div class="d-flex justify-content-between">
        <div class="form-group w-45">
            <div class="d-flex justify-content-center">
                <label asp-for="Name" class="font-weight-bold text-center">   </label>
            </div>
            <input asp-for="Name" class="form-control" type="text" placeholder="Name..." />
            <span asp-validation-for="Name" class="text-danger"></span>
        </div>
        <div class="form-group w-45">
            <div class="d-flex justify-content-center">
                <label asp-for="Place" class="font-weight-bold">   </label>
            </div>
            <input asp-for="Place" class="form-control" type="text" placeholder="Place..." />
            <span asp-validation-for="Place" class="text-danger"></span>
        </div>
    </div>

    <hr class="mt-3 hr-2 bg-eventures" />
    <div class="d-flex justify-content-between">
        <div class="form-group w-45">
            <div class="d-flex justify-content-center">
                <label asp-for="StartDate" class="font-weight-bold text-center">   </label>
            </div>
            <input asp-for="StartDate" class="form-control" type="datetime-local" placeholder="Start Date..." />
            <span asp-validation-for="StartDate" class="text-danger"></span>
        </div>
        <div class="form-group w-45">
            <div class="d-flex justify-content-center">
                <label asp-for="EndDate" class="font-weight-bold">   </label>
            </div>
            <input asp-for="StartDate" class="form-control" type="datetime-local" placeholder="End Date..." />
            <span asp-validation-for="StartDate" class="text-danger"></span>
        </div>
    </div>
    <hr class="mt-3 hr-2 bg-eventures" />

    <div class="d-flex justify-content-between">
        <div class="form-group w-45">
            <div class="d-flex justify-content-center">
                <label asp-for="TotalTickets" class="font-weight-bold text-center">   </label>
            </div>
            <input asp-for="TotalTickets" class="form-control" type="text" placeholder="Total Tickets..." />
            <span asp-validation-for="TotalTickets" class="text-danger"></span>
        </div>
        <div class="form-group w-45">
            <div class="d-flex justify-content-center">
                <label asp-for="PricePerTicket" class="font-weight-bold">   </label>
            </div>
            <input asp-for="PricePerTicket" class="form-control" type="number" step="any" placeholder="Price per ticket..." />
            <span asp-validation-for="PricePerTicket" class="text-danger"></span>
        </div>

    </div>
    @*<div class="form-group">
        <div class="d-flex justify-content-center">
            <label asp-for="Input.UCN" class="font-weight-bold">   </label>
        </div>
        <input asp-for="Input.UCN" class="form-control" type="text" placeholder="Unique Citizen Number..." />
        <span asp-validation-for="Input.UCN" class="text-danger"></span>
    </div>*@
    <hr class="mt-3 hr-2 bg-eventures" />
    <div class="d-flex justify-content-center">
        <button type="submit" class="btn bg-eventures">Create Event</button>
    </div>
</form>


@section Scripts {
    @{await Html.RenderPartialAsync("_ValidationScriptsPartial");}
}
